[RC410] Xpress 200M hangs when resuming from suspend with DRI, with or without KMS

Bug #577340 reported by Karesz on 2010-05-08
80
This bug affects 15 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-ati (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-ati

The machine seems to suspend without a problem, but resume is a total failure. It starts the resuming process, but after a few seconds, it stops doing anything, the light of wlan, power lights constantly, and soon the CapsLock indicator light starts to blink/flash. MagicKeys doesn't work, I have to shut the notebook down, take the battery out and detach the powerchord, press the on/off button for a few sec.s, then put everything back, and boot again.

This bug is related to https://bugs.launchpad.net/ubuntu/+bug/305301 this bug, I think.
It haven't been fixed yet, with KMS.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: xorg 1:7.5+5ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
Architecture: i386
Date: Sat May 8 09:40:07 2010
DkmsStatus: Error: [Errno 2] Nincs ilyen fájl vagy könyvtár
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: FUJITSU SIEMENS AMILO Li 1718
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-22-generic root=UUID=231d453f-f796-434e-bdf3-49941fde9aa8 ro vga=769 quiet splash
ProcEnviron:
 LANG=hu_HU.utf8
 SHELL=/bin/bash
SourcePackage: xorg
dmi.bios.date: 06/25/07
dmi.bios.vendor: Phoenix
dmi.bios.version: V1.8
dmi.board.name: AMILO Li 1718
dmi.board.vendor: FUJITSU SIEMENS
dmi.board.version: Rev.A
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: ATI
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenix:bvrV1.8:bd06/25/07:svnFUJITSUSIEMENS:pnAMILOLi1718:pvr-1:rvnFUJITSUSIEMENS:rnAMILOLi1718:rvrRev.A:cvnATI:ct1:cvrN/A:
dmi.product.name: AMILO Li 1718
dmi.product.version: -1
dmi.sys.vendor: FUJITSU SIEMENS
system:
 distro: Ubuntu
 codename: lucid
 architecture: i686
 kernel: 2.6.32-22-generic

Karesz (lengyel-karesz) wrote :
Karesz (lengyel-karesz) wrote :

BTW, resume from hibernate also fails. :(

Bryce Harrington (bryce) on 2010-05-08
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2010-05-09
tags: added: freeze
tags: added: resume
ckx (john2-hendrickx) wrote :

I have this problem as well although for me it's not as serious. My Packard Bell Easynote MZ35 suspends properly but at resume, all I get is a black screen with no disk activity. But holding down the power key for a few seconds is enough to shut it down, then restart in the usual way. This was reported earlier in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/399831

I also found graphics performance was worse under 10.04 than under 9.04
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/576125

There were problems related to the Radeon Xpress 200m with 10.04 beta 1 and beta 2, the liveCD would not boot
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/560248

Looks like the Radeon 200m isn't the best card for Ubuntu :-(

joefidler (joefidler) wrote :

Same symptoms and John Hendrickx on a Compaq V5000 using radeon driver with the ATI Xpress 200m. Suspends ok, does not resume at all, blank screen, not responsive - power down key shuts it down.

ckx (john2-hendrickx) wrote :

This problem persists for me under Ubuntu 10.10 alpha 1, together with the poor graphics performance.

I also had a problem running the video test under Ubuntu 10.10 alpha 1 (live CD), where the screen is first red, then shifts to other colors after pressing a key. The computer does not respond to a key press. Pressing Ctrl-Alt-Del brings the logoff dialog to the foreground and after I cancel that, the test proceeds as intended, pressing a key brings the next color until completion of the test. Perhaps this has some bearing on this bug?

acimmarusti (andrescimmarusti) wrote :

I may have the answer. It worked for my laptop with a video card:

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon XPRESS 200M 5955 (PCIE)

So, recently there was a commit to the 2.6.35rc5 kernel by David Airlie (he pointed this out to me):
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commitdiff;h=580b4fffbbdc3c899ee1f8189ba321bd60b48840

Now, the way this patch is written it will only work for the specific card the nx6125 laptop has. I, however, blatantly changed the patch (basically simplified the if statement) and made it work for any chip.

In summary, get the kernel source (from Ubuntu, Debian or upstream). Unpack the sources and browse into drivers/gpu/drm/radeon/

Edit the file radeon_combios.c and find the line that says /* DYN CLK 1 */
Just before that line add the following:

/* quirk for rs4xx laptop to make it resume
* - it hangs on resume inside the dynclk 1 table.
*/
if (rdev->family == CHIP_RS480)
return;

After changing this, then simply compile your kernel, package it and install it. With KMS enabled it works like a charm.

acimmarusti (andrescimmarusti) wrote :

My bad!, don't use the if at all. The addition to the code should be:

/* quirk for rs4xx laptop to make it resume
* - it hangs on resume inside the dynclk 1 table.
*/
return;

Wow, thx, sure I'll try this on monday! Unfortunately I don't have time
until =(
If anyone have some results, if this is working on the Amilo Li1718, don't
be shy to share it!

2010/7/16 acimmarusti <email address hidden>

> My bad!, don't use the if at all. The addition to the code should be:
>
> /* quirk for rs4xx laptop to make it resume
> * - it hangs on resume inside the dynclk 1 table.
> */
> return;
>
> --
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
> https://bugs.launchpad.net/bugs/577340
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Thanks, acimmarusti
Your fix does not seem to work for me. I built 2.6.35-rc5 (July 12) kernel (from kernel.org) following your suggestion. Except for unusual failed both keyboard and mouse ( I have to use usb ones) the laptop does not resume after suspend. Maybe I need the snapshot of July 15th? I am not sure. I will try testing it.
Thanks again

Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

gene (eugenios) wrote :

[drm:drm_mode_getfb] *ERROR* invalid framebuffer id

this is what I saw in the kern.log after having booted the newly built kernel at the end of the session log. Maybe this is the reason for it not to resume?

I am just wondering, if anyone got it to work at all?
--

Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

gene (eugenios) wrote :

Sure thing: everyone has taken a vacation.

I am wondering though, if the mentioned trick worked for the 5955 (PCIE) card (but did not for rc410), should there be a similar trick to work for us, eventually? Will we be able to figure it out after all. If I knew anything about video cards or, alternatively, if there would exist any documentation from the infamous ATI, I might be of some help... Alas, neither is case

Actually, the new rc contains another X200m resume fix. I hope, that till
the final release, our modell will be fixed too.

2010/7/25 gene <email address hidden>

> Sure thing: everyone has taken a vacation.
>
> I am wondering though, if the mentioned trick worked for the 5955 (PCIE)
> card (but did not for rc410), should there be a similar trick to work for
> us, eventually? Will we be able to figure it out after all. If I knew
> anything about video cards or, alternatively, if there would exist any
> documentation from the infamous ATI, I might be of some help... Alas,
> neither is case
>
> --
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
> https://bugs.launchpad.net/bugs/577340
> You received this bug notification because you are a direct subscriber
> of the bug.
>

madbiologist (me-again) wrote :

This seems to be the patch Karesz is referring to:

...from upstream kernel 2.6.35-rc6 changelog:

commit 52fa2bbc8ec46255039e2048d616bbd0852ee292
Author: Alex Deucher
Date: Wed Jul 21 23:54:35 2010 -0400

    drm/radeon/kms: add quirk to make HP DV5000 laptop resume

    Fixes:
    https://bugs.freedesktop.org/show_bug.cgi?id=29062

    Reported-by: Andres Cimmarusti
    Signed-off-by: Alex Deucher
    Signed-off-by: Dave Airlie

A PPA of this kernel is available at http://kernel.ubuntu.com/~kernel-ppa/mainline/

As I mentioned earlier, I built this kernel with that very patch with no avail for rc410. If anyone wants to try this kernel from ppa and disprove it, let me know. I saw the the patch and, as far as I can tell, the if () statement won't even execute on my Toshiba with CHIP_RC410:
+ if(rdev->family == CHIP_RS480 &&
+ rdev->pdev->subsystem_vendor == 0x103c &&
+ rdev->pdev->subsystem_device == 0x30a4)

----

Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

This problem still exists with the actual beta release (maverick meerkat)
Should I file it as a new bug?

2010/7/27 madbiologist <email address hidden>

> This seems to be the patch Karesz is referring to:
>
> ...from upstream kernel 2.6.35-rc6 changelog:
>
> commit 52fa2bbc8ec46255039e2048d616bbd0852ee292
> Author: Alex Deucher
> Date: Wed Jul 21 23:54:35 2010 -0400
>
> drm/radeon/kms: add quirk to make HP DV5000 laptop resume
>
> Fixes:
> https://bugs.freedesktop.org/show_bug.cgi?id=29062
>
> Reported-by: Andres Cimmarusti
> Signed-off-by: Alex Deucher
> Signed-off-by: Dave Airlie
>
> A PPA of this kernel is available at http://kernel.ubuntu.com/~kernel-
> ppa/mainline/
>
> ** Bug watch added: freedesktop.org Bugzilla #29062
> http://bugs.freedesktop.org/show_bug.cgi?id=29062
>
> --
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
> https://bugs.launchpad.net/bugs/577340
> You received this bug notification because you are a direct subscriber
> of the bug.
>

gene (eugenios) wrote :

OK, a short update: the bug is still present on the freshly built 2.6.37-rc3 from kernel.org with the famous Mike Galbraith's patch applied. (On 10.04)
Since AMD is getting more opensource friendly, our issue will be resolved some day (soon I hope ;-))

Mark (umberstark) wrote :

OK I'm trying out Natty Beta 1 fully uptodate and suspend still doesn't work.

I use this tool here, http://kcheck.sourceforge.net/ to build a custom Kernel and just enabled any AMD/Radeon options I find under video or whatever. Now suspend works fione, but funnily enough Compiz doesn't anymore, so I missed something I think.

I also switched CPU to "on-demand" instead of Performance... maybe that helped, I dunno. That's the first time I've custom done a kernel for over 10 years, so I'm pretty clueless to be honest.

Just a heads up for people still having trouble.

Karesz (lengyel-karesz) wrote :

Mark! Suspend or resuming from suspend does work for you with your custom
kernel? And can you try an openSuSE 11.1 liveCD if resuming works correctly
there for you too (no install is required, for me it works from liveCD) if
you happen to have a CD too :)

2011/4/7 Mark <email address hidden>

> OK I'm trying out Natty Beta 1 fully uptodate and suspend still doesn't
> work.
>
> I use this tool here, http://kcheck.sourceforge.net/ to build a custom
> Kernel and just enabled any AMD/Radeon options I find under video or
> whatever. Now suspend works fione, but funnily enough Compiz doesn't
> anymore, so I missed something I think.
>
> I also switched CPU to "on-demand" instead of Performance... maybe that
> helped, I dunno. That's the first time I've custom done a kernel for
> over 10 years, so I'm pretty clueless to be honest.
>
> Just a heads up for people still having trouble.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Welcome to the club, Mark :) As far as I can tell, neither 38 stable nor recent 39-rc1 work with suspend and kms enabled. My system is maverick and the said kernels are custom built from kernel.org
What you are probably seeing is the same: with kms enabled no resume from suspend, with no dri/kms (radeon.modeprobe=0 or nomodeprobe kernel boot parameter) it resumes fine, while no 3d acceleration is present.
Karesz, how's your Susie based distro experience with an old kernel. Mine won't boot with that kernel version, apparently, and my /home partition is ext4, can you elucidate more on the Susie 11.1 liveCD experience, please.
Sorry, there's still no fix for our video chip.

--
--
Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

Well, I started listing which modules are the same in the two distributions

Mark (umberstark) wrote :

Only have an opensuse 11.4 livecd to hand, but with that it's same old same old. In other words it doesn't work :)

As for kms I'm pretty sure i left that enabled, not that I know where to look and check of course.

Mark (umberstark) wrote :

ok just booted with the vanilla kernel using "radeon.modeset=0" tried suspend and it failed to resume.

So it doesn't seem to be KMS.

What did I enable in my custom kernel that makes suspend work (but also causes me to lose compositing).

Incidentally, using the custom kernel I get much better performance with, for instance, youtube videos. I can play 720p clips stutter free no problems. I can't even do that in XP/Vista/7!! Again whether this is some radeon option I've enabled I have no idea.

Mark (umberstark) wrote :

<slaps Launchpad for not haivng an edit post function>

Sorry the events in post #23 relate to Natty not Opensuse, just in case there was some confusion.

gene (eugenios) wrote : kms

Mark, one of the ways to check whether you have dri/kms enabled is
1) by using command "glxinfo | grep render"
2) or switch to one of the to virtual terminal vt[1-6] (using Ctrl+Alt+F[0-6]), i.e., if it is then you'll see a fine font and can even watch video without X there!

Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

Mark! Can you attach a list of the options you enabled or disabled in your
custom kernel? It would help us determine which module is the bad one

2011/4/8 Mark <email address hidden>

> <slaps Launchpad for not haivng an edit post function>
>
> Sorry the events in post #23 relate to Natty not Opensuse, just in case
> there was some confusion.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Unfortunately, he release candidate 2.6.39-rc3 ( as well as the last available stable 2.6.38.2 from the kernel.org) still has this issue.
--
--

Please do not send me Microsoft Office/Apple iWork documents. Send OpenDocument instead! http://fsf.org/campaigns/opendocument

Mark, I have to ask again. Would you please send a list about what you have
enabled (or disabled) in your custom kernel? Or can you upload your custom
kernel somewhere, and send me the link? (like ubuntu1, dropbox)
If we know which module helps, we can enable(or disable) it in a script
before suspend, and disable(or re-enable) after resume, and that would solve
the problem for now!
So please help us! :D
TY in advance

2011/4/7 Mark <email address hidden>

> OK I'm trying out Natty Beta 1 fully uptodate and suspend still doesn't
> work.
>
> I use this tool here, http://kcheck.sourceforge.net/ to build a custom
> Kernel and just enabled any AMD/Radeon options I find under video or
> whatever. Now suspend works fione, but funnily enough Compiz doesn't
> anymore, so I missed something I think.
>
> I also switched CPU to "on-demand" instead of Performance... maybe that
> helped, I dunno. That's the first time I've custom done a kernel for
> over 10 years, so I'm pretty clueless to be honest.
>
> Just a heads up for people still having trouble.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Mark (umberstark) wrote :

Sorry guys, been away from the lappy for a while. Will make sure it's still doing as I said and if someone would kindly explain where I could find a list of changes or whatever to upload (filesystem location) I'll see what I can do!

Thanks Mark,
Not exactly sure what Karesz is asking for, I think he means you kernel config file. You can find it by typing in the terminal (for the current running kernel)

ls /boot/config-`uname -r`

Is it what you are looking for, Karesz?

Mark (umberstark) wrote :

Well fully updated install and the custom kernel still resumes from suspend, while the ubuntu one doesn't.

ls /boot/config-`uname -r` returned the following,

/boot/config-2.6.38.2-candela

That's a few minor versions behind the official one now by the looks of it (2.6.38.8 I think it's at now), but the custom kernel was made a week or so ago.

Incidentally, glxinfo | grep render returns the following,

direct rendering: Yes
OpenGL renderer string: Software Rasterizer
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_fragment_program,

Nope. He told, he compiled a custom kernel, where some1 can define which
modules/kernel components to build in the kernel. I don't know the proper
english words for it. Some files build into the kernel, and will be loaded
by default. Some are built as modules, and are loadable later optionally.
And ofc, s1 can omit some unnecessary components.
I want to know, what modules are loaded on his system.
First, a lsmod > /home/(yourusername)/modules.txt would be fine. Send us the
output file, or just copy here it's contents. No personal data will show up
in this list.
And of course, tell me your notebooks model name, and manufacturer!
Thx :)

2011/4/15 gene <email address hidden>

> Thanks Mark,
> Not exactly sure what Karesz is asking for, I think he means you kernel
> config file. You can find it by typing in the terminal (for the current
> running kernel)
>
> ls /boot/config-`uname -r`
>
> Is it what you are looking for, Karesz?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Karesz (lengyel-karesz) wrote :

Sorry, yes the

cat /boot/config-2.6.38.2-candela

's output also :) Thx

2011/4/15 Lengyel Karesz <email address hidden>

> Nope. He told, he compiled a custom kernel, where some1 can define which
> modules/kernel components to build in the kernel. I don't know the proper
> english words for it. Some files build into the kernel, and will be loaded
> by default. Some are built as modules, and are loadable later optionally.
> And ofc, s1 can omit some unnecessary components.
> I want to know, what modules are loaded on his system.
> First, a lsmod > /home/(yourusername)/modules.txt would be fine. Send us
> the output file, or just copy here it's contents. No personal data will show
> up in this list.
> And of course, tell me your notebooks model name, and manufacturer!
> Thx :)
>
>
> 2011/4/15 gene <email address hidden>
>
>> Thanks Mark,
>> Not exactly sure what Karesz is asking for, I think he means you kernel
>> config file. You can find it by typing in the terminal (for the current
>> running kernel)
>>
>> ls /boot/config-`uname -r`
>>
>> Is it what you are looking for, Karesz?
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/577340
>>
>> Title:
>> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
>> without KMS
>>
>> To unsubscribe from this bug, go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>>
>
>

Looks promising, Mark.
Just would like to make sure, are certain, that you are using the FOSS radeon driver, not the ATI's fglrx?
One way to check it as follows :
lsmod | grep radeon
lsmod | grep fglrx

> Well fully updated install and the custom kernel still resumes from
> suspend, while the ubuntu one doesn't.
And which one does? SUSE?

> ls /boot/config-`uname -r` returned the following,
>
> /boot/config-2.6.38.2-candela
Can you please attatch this very file, please.
>
> That's a few minor versions behind the official one now by the looks of
> it (2.6.38.8 I think it's at now), but the custom kernel was made a week
> or so ago.
I built both 2.6.39-rc3 (2011-04-12) and 2.6.38.2 (patch dated 2011-03-27). Neither could resume from suspend for me. There is the stable one .3 version already though.

> Incidentally, glxinfo | grep render returns the following,
>
> direct rendering: Yes
> OpenGL renderer string: Software Rasterizer
> GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_fragment_program,
>
> --
This is what looks promising, however I got a different output (saying something about RS480), when enabling kms.
Thank you again!

Mark (umberstark) wrote :

ok info as requested.

Laptop is Fujitsu-Siemens LI 1718

modules.txt is attached.

Output of cat /boot/config-2.6.38.2-candela is attached in cat.txt below.

Mark (umberstark) wrote :

gene,

radeon driver judging by the zero output from "lsmod | grep fglrx".

Opensuse didn't work for me.

> radeon driver judging by the zero output from "lsmod | grep fglrx".
You bet, Mark. radeon is listed in your modules attachment. Thanks a lot.
I will try to compare with my config (simple diff may not tell much) and let you guys know.

Well, it happen to be a lot of difference between the two kernels... Sadly,
this means a lot of work... I'm now trying to determine which option can be
related to this issue.

2011/4/16 Mark <email address hidden>

> gene,
>
> radeon driver judging by the zero output from "lsmod | grep fglrx".
>
> Opensuse didn't work for me.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Mark (umberstark) wrote :

Yeah, I started off thinking it would be nice to just disable pretty much everything that wasn't related to my laptop (such as support for AMD processors, various other branded hardware etc etc etc) but gave up in the end as there was so much stuff. :)

Hello Karesz and Mark,
I built the kernel 2.6.38.3 using Mark's config
Here's what it produces:
with KMS enabled
1) resumes from suspend OK
2) fb (framebuffer) is weird. The font looks nice and fine, however
no proper splash when booting
w3m-img displays blurry images in the console
3) it does not have 3d acceleration: no compiz, no stellarium is slow
"compiz --replace&" produces
compiz (core) - Fatal: Software rendering detected.
compiz (core) - Error: Failed to manage screen: 0
compiz (core) - Fatal: No manageable screens found on display :0.0

Launching fallback window manager
Moreover,
The compiz-check program reports this:

Gathering information about your system...

 Distribution: Ubuntu 10.10
 Desktop environment: GNOME
 Graphics chip: ATI Technologies Inc RC410 [Radeon Xpress 200M]
 Driver in use: radeon
 Rendering method: AIGLX

Checking if it's possible to run Compiz on your system...

 Checking for texture_from_pixmap... [ OK ]
 Checking for non power of two support... [ OK ]
 Checking for composite extension... [ OK ]
 Checking for FBConfig... [ OK ]
 Checking for hardware/setup problems... [FAIL]

There has been (at least) one error detected with your setup:
 Error: Software Rasterizer in use

And, yes, this is what Mark was talking about :
glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Software Rasterizer
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_fragment_program,
Apparently, the problem of non full direct rendering was discussed widely. Possible solutions offered were tinkering the xorg.conf file, which I tried - with no avail. So Rasterizing prevents it from full 3D.

I attach the difference between the configs (the graphics &frame buffer sections), Mark's and generic. If the constants are identical, they are not shown. Mark's config has no "extra" constants in these sections.

If anyone is interested, I made an overall comparison between the our generic and Mark's configs. Again in case if the constants are set identically equal, they are not shown. The attached file demonstrates all the discrepancies, for every CONFIG constant listed in both files. As before, diffing would not tell us much.
Let me know what you think.

hi. I've made the same comparisons. I want to make a kernel with Marks
graphics and FB options, but kernelcheck doesn't work for me... It's a bit
annoying. It always aborts at the same point saying:

Traceback (most recent call last):
  File "/usr/share/kernelcheck/scripts/build.py", line 174, in close
    gtk.main_quit()
RuntimeError: called outside of a mainloop

Pretty annoying...

2011/4/16 gene <email address hidden>

> If anyone is interested, I made an overall comparison between the our
> generic and Mark's configs. Again in case if the constants are set
> identically equal, they are not shown. The attached file demonstrates all
> the discrepancies, for every CONFIG constant listed in both files. As
> before, diffing would not tell us much.
> Let me know what you think.
>
>
> ** Attachment added: "config_difference"
>
> https://bugs.launchpad.net/bugs/577340/+attachment/2049648/+files/config_difference
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

gene (eugenios) wrote : ati_agp

When comparing loaded modules, I found that with Mark's setup 2 misses two modules, namely,
ati_agp
i2c_algo_bit
the AGP module not being present might be interesting.
--

As we have seen, ati_agp driver might be built into the kernel, not as a loadable module. This explains why I don't see it in lsmod and does not load there, however no error is produced. But it might be too early yet to rule this possibility out completely ...

I've tried to unload/blacklist somehow the i2c_algo_bit module, but wasn't
succesful... The module radeon uses it, and cannot be unloaded... :S

2011/4/16 gene <email address hidden>

> As we have seen, ati_agp driver might be built into the kernel, not as a
> loadable module. This explains why I don't see it in lsmod and does not
> load there, however no error is produced. But it might be too early yet
> to rule this possibility out completely ...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

gene (eugenios) wrote : i2c_algo_bit

Karesz, don't worry about i2c_algo_bit In Mark's setup it is also built in. I is it when attempt to rmmoding it :
FATAL: Module i2c_algo_bit is built in
--

I am still worrying about i2c_algo_bit. I've deleted it, (made a copy in
case of emergency) (sudo rm /lib/modules/'uname
-r'/kernel/drivers/i2c/algos/i2c-algo-bit.ko)
Made a reboot, (rebooted, compiz didn't work, so [altgr+printscreen+k],
chose ubuntu classic and logged in)

then I tried suspending and resuming, and it worked!

no other thing has been changed on my system, only this. So, if we somehow
manage to kill this module on suspend, and we can reload it after resume,
the problem is almost solved then.

Try the same Gene, if it works for u 2, then we know which module is to go
on with!

2011/4/16 gene <email address hidden>

> Karesz, don't worry about i2c_algo_bit In Mark's setup it is also built in.
> I is it when attempt to rmmoding it :
> FATAL: Module i2c_algo_bit is built in
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Karesz (lengyel-karesz) wrote :

OK, just to make sure, we can get somewhere with this bug, I've filed it at
freedesktop:
https://bugs.freedesktop.org/show_bug.cgi?id=36327

Karesz,
I tried removing the i2c-algo-bit.ko from the location you suggested, but found the module loaded and unloadable when booted. I cannot get where does the kernel object file coming from. It might be the other kernel versions it can use???? No fix here.
I also built the kernel with the I2C-ALGOBIT inserted in the kernel (=y config option). Still, No resume from suspend is possible.

One possible strategy for us could be building with the Graphics&FB sections from Mark's config. Also, do you know, how to get the list of the modules that the graphics depends on, maybe looking in the corresponding headers files?

gene (eugenios) wrote : rmmod

As far as the i2c-algo-bit is concerned rmmod cannot remove it even with the --force option, while the ati-agp can.
--

Don't rmmod it: "cp /lib/modules/'uname
-r'/kernel/drivers/i2c/algos/i2c-algo-bit.ko ~/i2c-algo-bit.ko.backup"
then: "sudo rm /lib/modules/'uname
-r'/kernel/drivers/i2c/algos/i2c-algo-bit.ko"
reboot (unity and compiz won't work, only classic gnome, if you use 11.04)
Log in, try suspend, then resume! Hopefully it will work!

2011/4/17 gene <email address hidden>

> As far as the i2c-algo-bit is concerned rmmod cannot remove it even with
> the --force option, while the ati-agp can.
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

gene (eugenios) wrote :

Karesz, So I did. Mine is 10.10 though. However, I am a little bit perplexed, I do not a clue where does the kernel get the it. I completely removed the object file from there. It still loades it. Should that be removed from the running kernel. I backed it up and I got plenty of other kernel too.
--

hmmm... Maybe it's not only a module, but it is compiled into the kernel on
your system? Is it a 'factory' ubuntu kernel?

2011/4/17 gene <email address hidden>

> Karesz, So I did. Mine is 10.10 though. However, I am a little bit
> perplexed, I do not a clue where does the kernel get the it. I completely
> removed the object file from there. It still loades it. Should that be
> removed from the running kernel. I backed it up and I got plenty of other
> kernel too.
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

No, Karesz,
Here I am using stable kernels 38.2, 38.3 directly from the kernel.org (actually by patching and unpatching some original stable release 38 from there)
Here's a very strange thing I experienced. The kernel built using Mark's custom config gives:
nice dri+compiz working, alas, no resume from suspend, bf is not very good when I boot with the "radeon.modeset=0"!

--

Ohhh, wait. Try deleting AND blacklisting it in
/etc/modprobe.d/blacklist.conf (blacklist i2c-algo-bit.ko)

2011/4/17 Lengyel Karesz <email address hidden>

> hmmm... Maybe it's not only a module, but it is compiled into the kernel on
> your system? Is it a 'factory' ubuntu kernel?
>
>
> 2011/4/17 gene <email address hidden>
>
>> Karesz, So I did. Mine is 10.10 though. However, I am a little bit
>> perplexed, I do not a clue where does the kernel get the it. I completely
>> removed the object file from there. It still loades it. Should that be
>> removed from the running kernel. I backed it up and I got plenty of other
>> kernel too.
>> --
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/577340
>>
>> Title:
>> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
>> without KMS
>>
>> To unsubscribe from this bug, go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>>
>
>

Here's another strange thing: After removing i2c module from only single kernel version destination, I no longer find it at multiple ones! With those kernel versions booting without kms results in the complete freeze, and finally, when kms is allowed, everything other than resume work.
--

Mark!
Can you build a custom kernel again with kernelcheck? For some reason it
doesn't work for me :S
Choose the custom compilation > normal performance patch > check reconfigure
X server, and check apply custom patch to new kernel
then go on, as normally. Then, after a few minutes a terminal will show up,
and will tell you, to close the window, after the patch is applied. Here
replace /usr/src/linux/drivers/gpu/drm/radeon/radeon-combios.c with the file
I send.
Go on as normally, except, leave every value as it is. Install the kernel,
and try suspending/resuming. It may not work (it doesn't work for me, but
the kernel freezes after the displays backlight is on, and some wierd
pictures are shown on it), but i want to know, if it is something else here(
i use natty beta).

Karesz (lengyel-karesz) wrote :

Gene, if you happen to try this also, then change "rdev->pdev->subsystem_device == 0x10fb" this line's last four characters (10fb) to your lspci -v output's second line's last four characters, in radeon-combios.c

Hi Karesz,
I seemed to try a similar thing two times. Instead of putting the if statement I inserted a bare return;
The did not seem to help at all. I wonder, why it did in your case?

gene (eugenios) wrote : a question

I was always taking this for granted, however, Karesz, did you Siemens ever resume from suspend without KMS (more precisely, without DRI). Mine always did. Just wanted to make sure...
--

So, yours resumed using nomodeset? Mine never... :S

2011/4/18 gene <email address hidden>

> I was always taking this for granted, however, Karesz, did you Siemens ever
> resume from suspend without KMS (more precisely, without DRI). Mine always
> did. Just wanted to make sure...
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

gene (eugenios) wrote : DRI "off"

Ok, then try the following. Go to /et/X11/xorg.conf Find if you have the line
DRI "off"
If it is not there, put it in the "Device" Section
Reboot with the radeon.modeset=0 kernel boot option (or the one you mentioned). See if it gives you any result.

gene (eugenios) wrote :

I am sorry, the line should exactly read
Option "DRI" "off"
in the /etc/X11/xorg.conf file
--

I don't have an xorg.conf :S

2011/4/18 gene <email address hidden>

> Ok, then try the following. Go to /et/X11/xorg.conf Find if you have the
> line
> DRI "off"
> If it is not there, put it in the "Device" Section
> Reboot with the radeon.modeset=0 kernel boot option (or the one you
> mentioned). See if it gives you any result.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

If I remember right, xorg.conf was removed in lucid, or somewhere around
that time.

2011/4/18 gene <email address hidden>

> I am sorry, the line should exactly read
> Option "DRI" "off"
> in the /etc/X11/xorg.conf file
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Mark (umberstark) wrote :

Karez,

I'll try and get on it today (19th) and let you guys know what happens. I may just do it from a clean install of Beta 2 (or latest daily), so is it a problem if I lose the working kernel or should I save it for posterity? ;)

gene (eugenios) wrote :

Was it? It still works for me, namely, if I put "DRI" "on", my resume never works and compiz does :) I discovered it just recently and since was my question. Try mine, for instance, it is attached below.
On Mon, Apr 18, 2011 at 10:15:53PM -0000, Karesz wrote:
> If I remember right, xorg.conf was removed in lucid, or somewhere around
> that time.
>
>
>

gene (eugenios) wrote : xorg.conf

A better solution for you, Karesz, would be killing gdm (kdm/xdm or whatever you use) by logging from a console and issuing
sudo service gdm stop
Then do
X -configure (or sudo maybe)
It will build an xorg.conf.new file in your directory, move it to /et/X11/xorg.conf and reboot with radeon.modeset=0
If you really interested in getting resume to work while sacrificing the DRI (which would work anyways if you choose =1 option)

--

Mark (umberstark) wrote :

yeah well youy lost me at replacing the file. I have zero idea what to do to get that working.

Tried "patch >pathname and file>" and nothing so aborted.

Karesz,
Did you try with an xorg.conf file? If it was successful, should we change the subject title of the bug from "...with or without KMS" to "... with DRI" ? Let me know
--

Didn't had much time today, sorry. Maybe tomorrow.

2011/4/19 gene <email address hidden>

> Karesz,
> Did you try with an xorg.conf file? If it was successful, should we change
> the subject title of the bug from "...with or without KMS" to "... with DRI"
> ? Let me know
> --
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

Karesz (lengyel-karesz) wrote :

Your method failed to generate xorg.conf... :S On the weekend I'll make a
clean install, and try again.

2011/4/19 Lengyel Karesz <email address hidden>

> Didn't had much time today, sorry. Maybe tomorrow.
>
>
> 2011/4/19 gene <email address hidden>
>
>> Karesz,
>> Did you try with an xorg.conf file? If it was successful, should we
>> change the subject title of the bug from "...with or without KMS" to "...
>> with DRI" ? Let me know
>> --
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/577340
>>
>> Title:
>> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
>> without KMS
>>
>> To unsubscribe from this bug, go to:
>>
>> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>>
>
>

gene (eugenios) wrote : xorg.conf

Karesz, you also try
"sudo xorg -configure" ?
Have you wiped off all your previous installations and you cannot find any back-upped, old xorg.conf in the /etc/X11/ ?
Well, why don't you try editing my file removing from there almost everything or everything just look at my xorg.conf and put in that Device section, maybe with this:
Section "Device"
 Identifier "Radeon RC410"
 Driver "radeon"
 Option "DRI" "off"
 BusID "PCI:1:5:0"
EndSection
You have the exact same set
Hope it will work out...

Yeah, I've tried sudoing it :) On the weekend i'll give your xorg.conf a
try!

2011/4/20 gene <email address hidden>

> Karesz, you also try
> "sudo xorg -configure" ?
> Have you wiped off all your previous installations and you cannot find any
> back-upped, old xorg.conf in the /etc/X11/ ?
> Well, why don't you try editing my file removing from there almost
> everything or everything just look at my xorg.conf and put in that Device
> section, maybe with this:
> Section "Device"
> Identifier "Radeon RC410"
> Driver "radeon"
> Option "DRI" "off"
> BusID "PCI:1:5:0"
> EndSection
> You have the exact same set
> Hope it will work out...
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscribe
>

OK, I might have gotten some interesting data. First, I should explain. I decided gain (after a couple years) to switch to fglrx and see how it works. Last time it was also very buggy but in more annoying way...
So I installed fglrx and it... didn't giving me configure errors with my custom kernels , I did not want to bother any further. So I decided to switch the sides again :) and removed it.
I tried to see how suspend-resume would work (DRI and 3D was on). So it did not, however, instead of usual blank unresponsive to SysRq keys monitor I had a dump and REISUB restarted the machine. Oops I did it again, and got nothing gain... :) In the usual way all resume attempts were numb, no syslog info was left.
The corresponding kernel.log (the section between the sleep and a waking attempt) is attached below.
I hope that this would be helpful for more knowledgeable people than me.
--

Another option for you, Karesz, or and additional one, is to compile a kernel with Mark's config. Without the xorg.conf and any kernel boot options, the resume should work with the Software Rasterizing though.

Adam Cooper (adam-j-cooper) wrote :

I've been struggling to get my Dell Inspiron 5100 to resume from suspend all weekend. This laptop has a Radeon 7500M graphics card (RV200)

I'm intending to run 10.04 but tried 11.04 as well and have been unable to figure it out.

radeon.modeset=0 stopped me from getting fancy boot graphics and stopped compiz from working but it still would not resume. I will try the DRI off option in xorg.conf later today and report back here. It's taken me a long time to find this bug report - google failed me.

ckx (john2-hendrickx) wrote :

I still have this problem using Ubuntu 11,10 beta-1. Same as before, suspending the computer works fine but when I try to resume it completely freezes, no disk activity, nothing helps except shutting down completely and restarting. Interestingly, hibernate does work on this machine.

Anakin Starkiller (sunrider) wrote :

I don't think this is related to some radeon stuff since I've got the same issue with an integrated intel card (when KMS is enabled, I can't resume from suspend....and when KMS is enabled, I can't go back from xset dpms force off (command to switch off the screen)).

gene (eugenios) wrote : hibernate

On Mon, Sep 12, 2011 at 09:03:39PM -0000, ckx wrote:
> I still have this problem using Ubuntu 11,10 beta-1. Same as before,
> suspending the computer works fine but when I try to resume it
> completely freezes, no disk activity, nothing helps except shutting down
> completely and restarting. Interestingly, hibernate does work on this
> machine.
 Still cannot resume from the suspend, however, I now can hibernate (to disk) and resume successfully. s2disk apparently did not help.
I am on 11.04, uname -a:
Linux 3.1.0-mine+ #2 SMP Tue Oct 25 13:16:30 CDT 2011 i686 i686 i386 GNU/Linux

Same here. Hibernate, resuming from hibernation works fine. Suspend works
fine. Resuming from suspend fails most times, s2ram made things worse. But
not every time! The Oneiric live USB (64bit) Resumed fine maybe 1 out of 10
times (approx.). And not all the other 9 times were complete failure:
sometimes it weren't necessary to take out the battery, press the power
button and then put it back together, and boot; a simple switch off-switch
on, or sometimes an Altgr+prtscr REISUB worked.
kernel version: 3.0.0-12

2011/11/8 gene <email address hidden>

> On Mon, Sep 12, 2011 at 09:03:39PM -0000, ckx wrote:
> > I still have this problem using Ubuntu 11,10 beta-1. Same as before,
> > suspending the computer works fine but when I try to resume it
> > completely freezes, no disk activity, nothing helps except shutting down
> > completely and restarting. Interestingly, hibernate does work on this
> > machine.
> Still cannot resume from the suspend, however, I now can hibernate (to
> disk) and resume successfully. s2disk apparently did not help.
> I am on 11.04, uname -a:
> Linux 3.1.0-mine+ #2 SMP Tue Oct 25 13:16:30 CDT 2011 i686 i686 i386
> GNU/Linux
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscriptions
>

gene (eugenios) wrote :

Interesting stuff. I also noticed a "successful" resume once with the metacity wm, however could not repeat it afterwards. In that "successful" event an attempt to turn the compiz on gave me an Xserver/gdm crash.

I am actually glad that at least hibernate is available.
--

ckx (john2-hendrickx) wrote :

This bug is still there in Ubuntu 12.04 beta-1

Same here.

2012/3/8 ckx <email address hidden>

> This bug is still there in Ubuntu 12.04 beta-1
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscriptions
>

ckx (john2-hendrickx) wrote :

I still can't resume after suspending using Ubuntu 12.04 beta-1 with updates installed. But my computer doesn't (always) freeze on resume. Yesterday, I could see the login screen flashing by repeatedly with noise in between (couldn't log in of course). On a second attempt, numbers kept scrolling by at high speed, one of the system logs I assume. No disk activity the second time. The first time, the login screen pauzed and disk activity ceased briefly if I pressed Ctrl-Alt-F1 to Ctrl-Alt-F7 (could have been coincidence though, the screen pauze didn't always work). I'm a bit nervous about a forced shutdown while there's a lot of disk activity.

Can anyone else reproduce this?

Karesz (lengyel-karesz) wrote :

I can, already reported it at freedesktop, no response from the devs... :(

2012/3/29 ckx <email address hidden>

> I still can't resume after suspending using Ubuntu 12.04 beta-1 with
> updates installed. But my computer doesn't (always) freeze on resume.
> Yesterday, I could see the login screen flashing by repeatedly with
> noise in between (couldn't log in of course). On a second attempt,
> numbers kept scrolling by at high speed, one of the system logs I
> assume. No disk activity the second time. The first time, the login
> screen pauzed and disk activity ceased briefly if I pressed Ctrl-Alt-F1
> to Ctrl-Alt-F7 (could have been coincidence though, the screen pauze
> didn't always work). I'm a bit nervous about a forced shutdown while
> there's a lot of disk activity.
>
> Can anyone else reproduce this?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscriptions
>

Karesz, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-video-ati REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-video-ati (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
ckx (john2-hendrickx) wrote :

This problem was reported in 2010 but there are earlier reports dating back to 2008. I'm fairly sure the problem still occurs but there seems little point in putting any effort in it now. The hardware is fairly old, I bought my laptop in 2007, no knowing how much longer it will last. This bug can be closed as far as I'm concerned.

Karesz (lengyel-karesz) wrote :

Hi! As of 13.10 (kernel 3.11) this problem is solved:
https://bugs.freedesktop.org/show_bug.cgi?id=36327#c25

2014/1/8 ckx <email address hidden>

> This problem was reported in 2010 but there are earlier reports dating
> back to 2008. I'm fairly sure the problem still occurs but there seems
> little point in putting any effort in it now. The hardware is fairly
> old, I bought my laptop in 2007, no knowing how much longer it will
> last. This bug can be closed as far as I'm concerned.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/577340
>
> Title:
> [RC410] Xpress 200M hangs when resuming from suspend with DRI, with or
> without KMS
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-ati/+bug/577340/+subscriptions
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.